<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8" />
    <title>Jeu de bataille navale</title>
    <meta name="description" content="Un jeu de bataille navale programmé en JavaScript." />
    <style>
        .caseBataille {
            width: 40px;
            height: 40px;
            text-align: center;
            border: 1px solid;
        }

        .board {
            display: flex;
            place-content: center;
        }

        .empty {
            background-color: grey;
        }

        .inWater {
            background-color: blue;
        }

        .hitted {
            background-color: red;
        }

        legend {
            display: block;
            padding-left: 2px;
            padding-right: 2px;
            border: none;
        }

        ul {
            list-style: none;
            padding: 0;
            margin: 0;
        }

        ul>li {
            display: flex;
            gap: 10px;
        }

        .square-grey {
            height: 20px;
            width: 20px;
            background-color: grey;
        }

        .square-blue {
            height: 20px;
            width: 20px;
            background-color: blue;
        }

        .square-red {
            height: 20px;
            width: 20px;
            background-color: red;
        }

        .errorHit {
            color: red;
        }

        .hidden {
            display: none;
        }

        .text-legend {
            display: grid;
            place-content: center;
        }
    </style>

    <script src="script.js"></script>
</head>

<body>
    <table class="board" id="board">
        <tr>
            <td></td>
            <td class="caseBataille">0</td>
            <td class="caseBataille">1</td>
            <td class="caseBataille">2</td>
            <td class="caseBataille">3</td>
            <td class="caseBataille">4</td>
            <td class="caseBataille">5</td>
            <td class="caseBataille">6</td>
            <td class="caseBataille">7</td>
            <td class="caseBataille">8</td>
            <td class="caseBataille">9</td>
        </tr>
        <tr>
            <td class="caseBataille">A</td>
            <td class="caseBataille" id="A0"></td>
            <td class="caseBataille" id="A1"></td>
            <td class="caseBataille" id="A2"></td>
            <td class="caseBataille" id="A3"></td>
            <td class="caseBataille" id="A4"></td>
            <td class="caseBataille" id="A5"></td>
            <td class="caseBataille" id="A6"></td>
            <td class="caseBataille" id="A7"></td>
            <td class="caseBataille" id="A8"></td>
            <td class="caseBataille" id="A9"></td>
        </tr>
        <tr>
            <td class="caseBataille">B</td>
            <td class="caseBataille" id="B0"></td>
            <td class="caseBataille" id="B1"></td>
            <td class="caseBataille" id="B2"></td>
            <td class="caseBataille" id="B3"></td>
            <td class="caseBataille" id="B4"></td>
            <td class="caseBataille" id="B5"></td>
            <td class="caseBataille" id="B6"></td>
            <td class="caseBataille" id="B7"></td>
            <td class="caseBataille" id="B8"></td>
            <td class="caseBataille" id="B9"></td>
        </tr>
        <tr>
            <td class="caseBataille">C</td>
            <td class="caseBataille" id="C0"></td>
            <td class="caseBataille" id="C1"></td>
            <td class="caseBataille" id="C2"></td>
            <td class="caseBataille" id="C3"></td>
            <td class="caseBataille" id="C4"></td>
            <td class="caseBataille" id="C5"></td>
            <td class="caseBataille" id="C6"></td>
            <td class="caseBataille" id="C7"></td>
            <td class="caseBataille" id="C8"></td>
            <td class="caseBataille" id="C9"></td>
        </tr>
        <tr>
            <td class="caseBataille">D</td>
            <td class="caseBataille" id="D0"></td>
            <td class="caseBataille" id="D1"></td>
            <td class="caseBataille" id="D2"></td>
            <td class="caseBataille" id="D3"></td>
            <td class="caseBataille" id="D4"></td>
            <td class="caseBataille" id="D5"></td>
            <td class="caseBataille" id="D6"></td>
            <td class="caseBataille" id="D7"></td>
            <td class="caseBataille" id="D8"></td>
            <td class="caseBataille" id="D9"></td>
        </tr>
        <tr>
            <td class="caseBataille">E</td>
            <td class="caseBataille" id="E0"></td>
            <td class="caseBataille" id="E1"></td>
            <td class="caseBataille" id="E2"></td>
            <td class="caseBataille" id="E3"></td>
            <td class="caseBataille" id="E4"></td>
            <td class="caseBataille" id="E5"></td>
            <td class="caseBataille" id="E6"></td>
            <td class="caseBataille" id="E7"></td>
            <td class="caseBataille" id="E8"></td>
            <td class="caseBataille" id="E9"></td>
        </tr>
        <tr>
            <td class="caseBataille">F</td>
            <td class="caseBataille" id="F0"></td>
            <td class="caseBataille" id="F1"></td>
            <td class="caseBataille" id="F2"></td>
            <td class="caseBataille" id="F3"></td>
            <td class="caseBataille" id="F4"></td>
            <td class="caseBataille" id="F5"></td>
            <td class="caseBataille" id="F6"></td>
            <td class="caseBataille" id="F7"></td>
            <td class="caseBataille" id="F8"></td>
            <td class="caseBataille" id="F9"></td>
        </tr>
        <tr>
            <td class="caseBataille">G</td>
            <td class="caseBataille" id="G0"></td>
            <td class="caseBataille" id="G1"></td>
            <td class="caseBataille" id="G2"></td>
            <td class="caseBataille" id="G3"></td>
            <td class="caseBataille" id="G4"></td>
            <td class="caseBataille" id="G5"></td>
            <td class="caseBataille" id="G6"></td>
            <td class="caseBataille" id="G7"></td>
            <td class="caseBataille" id="G8"></td>
            <td class="caseBataille" id="G9"></td>
        </tr>
        <tr>
            <td class="caseBataille">H</td>
            <td class="caseBataille" id="H0"></td>
            <td class="caseBataille" id="H1"></td>
            <td class="caseBataille" id="H2"></td>
            <td class="caseBataille" id="H3"></td>
            <td class="caseBataille" id="H4"></td>
            <td class="caseBataille" id="H5"></td>
            <td class="caseBataille" id="H6"></td>
            <td class="caseBataille" id="H7"></td>
            <td class="caseBataille" id="H8"></td>
            <td class="caseBataille" id="H9"></td>
        </tr>
        <tr>
            <td class="caseBataille">I</td>
            <td class="caseBataille" id="I0"></td>
            <td class="caseBataille" id="I1"></td>
            <td class="caseBataille" id="I2"></td>
            <td class="caseBataille" id="I3"></td>
            <td class="caseBataille" id="I4"></td>
            <td class="caseBataille" id="I5"></td>
            <td class="caseBataille" id="I6"></td>
            <td class="caseBataille" id="I7"></td>
            <td class="caseBataille" id="I8"></td>
            <td class="caseBataille" id="I9"></td>
        </tr>
        <tr>
            <td class="caseBataille">J</td>
            <td class="caseBataille" id="J0"></td>
            <td class="caseBataille" id="J1"></td>
            <td class="caseBataille" id="J2"></td>
            <td class="caseBataille" id="J3"></td>
            <td class="caseBataille" id="J4"></td>
            <td class="caseBataille" id="J5"></td>
            <td class="caseBataille" id="J6"></td>
            <td class="caseBataille" id="J7"></td>
            <td class="caseBataille" id="J8"></td>
            <td class="caseBataille" id="J9"></td>
        </tr>
    </table>

    <div class="text-legend">
        <p id="gameStatus">Il reste 5 bateaux.</p>
        <p id="errorHit" class="errorHit hidden">Cette case a déjà été attaqué</p>
        <div>
            <p>Légende : </p>
            <ul>
                <li>
                    <div class="square-grey"></div><span>Vide</span>
                </li>
                <li>
                    <div class="square-blue"></div><span>Dans l'eau</span>
                </li>
                <li>
                    <div class="square-red"></div><span>Touché</span>
                </li>
            </ul>
        </div>
    </div>
</body>

</html>